Skip to main content
POST
/
v3
/
locations
/
{location}
/
custom-fields
Add Location Custom Field
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/locations/{location}/custom-fields
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/locations/{location}/custom-fields"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.{tenant}.getomneo.com/api/v3/locations/{location}/custom-fields', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "name": "<string>",
    "handle": "<string>",
    "namespace": "<string>",
    "value": "<string>",
    "type": "<string>",
    "custom_fieldable_type": "<string>",
    "custom_fieldable": {
      "id": "<string>",
      "external_id": "<string>",
      "profile_id": "<string>",
      "meta": "<string>",
      "total": "<string>",
      "total_original": "<string>",
      "rounding": "<string>",
      "margin": "<string>",
      "is_void": "<string>",
      "transacted_at": "<string>",
      "timezone": "<string>",
      "payments": "<string>",
      "receipt_is_email": "<string>",
      "receipt_ref": "<string>",
      "linked_receipt_ref": "<string>",
      "claimed_at": "<string>",
      "receipt_email": "<string>",
      "currency_id": "<string>",
      "currency_rate": "<string>",
      "currency": "<string>",
      "type": "<string>",
      "status": "<string>",
      "order_number": "<string>",
      "order_id": "<string>",
      "external_order_id": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    },
    "created_at": "<string>",
    "updated_at": "<string>",
    "is_index": 123
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Path Parameters

location
integer
required

The location ID

Response

CustomField

data
CustomField · object
required